commit:     1ca21c1cbe1b58885dd3ee022dfded7d39768c70
Author:     Sam Wilson <sam <AT> binarycake <DOT> ca>
AuthorDate: Sun Aug 31 21:13:12 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Oct  3 00:39:57 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1ca21c1c

net-p2p/go-ethereum: add 1.16.4

Maintenance releases including:

 - Fusaka EIP implementations.
 - State history rewrite.
 - A new file-based state journal.
 - Various performance improvements.
 - Bug fixes for:
   - sync,
   - oversized announcements,
   - a dead lock,
   - `debug_traceCall` RPC endpoint,
   - modexp input check,
   - uncle rewards in `supply_tracer`,
   - ledger version check, and
   - don't error on nil peer in GetHeader.
 - Various other small changes.
 - Support go 1.25.

For the full list of changes, see:
https://github.com/ethereum/go-ethereum/releases/tag/v1.16.2
https://github.com/ethereum/go-ethereum/releases/tag/v1.16.3
https://github.com/ethereum/go-ethereum/releases/tag/v1.16.4

Signed-off-by: Sam Wilson <sam <AT> binarycake.ca>
Part-of: https://github.com/gentoo/gentoo/pull/43628
Closes: https://github.com/gentoo/gentoo/pull/43628
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-p2p/go-ethereum/Manifest                  |  1 +
 net-p2p/go-ethereum/go-ethereum-1.16.4.ebuild | 51 +++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/net-p2p/go-ethereum/Manifest b/net-p2p/go-ethereum/Manifest
index 1a5f968e50b6..a8267ac0a5cd 100644
--- a/net-p2p/go-ethereum/Manifest
+++ b/net-p2p/go-ethereum/Manifest
@@ -1,3 +1,4 @@
 DIST go-ethereum-1.15.10.tar.xz 197362452 BLAKE2B 
581542ccec9f2492ee0487500e078f079c97f03dd5473cea3acec2bd73079db141787828eb2dd9402fd47cb7749756c0e5b735f16e5d5c29ce0ca27df0c1571e
 SHA512 
86030ac8a715ad8b9ef5d5c116992a6dcac2b99687154cd23bd0ed7bf307034de1e6758d7bcb6bf54342ecc9d720a1e182660b057f3a75d67ef392d1186a6fd1
 DIST go-ethereum-1.15.11.tar.xz 197747232 BLAKE2B 
7aae6724d18d5b1f04a9f4508123a2d871aa178f5be2bdf5a80c6b32c7e0d95c67f7ebb3b162856cb209cdda69d6b60c1ce736ff73c9ed26fd36f6ff15f89a33
 SHA512 
47ca2cd2ab3438bc81997f2b6e97bfca0b98a20073ebcdb759c941b998f4d5eb9612f332b08ef016ca5543dcb6c5b29feb92aaec111b608e98a947c6068eeff1
 DIST go-ethereum-1.16.1.tar.xz 201606352 BLAKE2B 
d72c6b22d4a1a55617bd1fa8f85f8623f086eec3efe87d40a35e307c066a376f3de9a2ae20d06c9fc3caa01310dbfb5af53413a9c825bd8add18f49300963317
 SHA512 
20b1f5afc0df9100104debfe23f352908f1116650433efbe74a6452c130a9a3e6c12f64de3f32de8eac62f007bce96db50fb67309db66f6c92242b87c5c387b1
+DIST go-ethereum-1.16.4.tar.xz 240065332 BLAKE2B 
1d381c4d562f3d59c3cbbe6907935f253054066dabad0a6e1dc5630f4e6e536042bd19ef6dd191fb95b5dd483430fdc40aff3c334d20bbb316ede1ba52616313
 SHA512 
0118a1b5d0ed48d91d7de7adf0dc469cd9e9ee60ea0147d159afe9238ac182afedec82a63b80e0b34e0ded0daa70f82125070dfd73857c9dbe64472ab89156ff

diff --git a/net-p2p/go-ethereum/go-ethereum-1.16.4.ebuild 
b/net-p2p/go-ethereum/go-ethereum-1.16.4.ebuild
new file mode 100644
index 000000000000..d78dc818d163
--- /dev/null
+++ b/net-p2p/go-ethereum/go-ethereum-1.16.4.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-env go-module
+
+LONG_VERSION="${PV}+build3081+focal"
+DESCRIPTION="Official golang implementation of the Ethereum protocol"
+HOMEPAGE="https://github.com/ethereum/go-ethereum";
+SRC_URI="https://ppa.launchpadcontent.net/ethereum/ethereum/ubuntu/pool/main/e/ethereum/ethereum_${LONG_VERSION}.tar.xz
 -> ${P}.tar.xz"
+# Above PPA is listed as an official source here:
+# 
https://geth.ethereum.org/docs/getting-started/installing-geth#ubuntu-via-ppas
+S="${WORKDIR}/ethereum-${LONG_VERSION}"
+
+LICENSE="GPL-3+ LGPL-3+ MIT || ( BSD GPL-2 ) BSD-2 LGPL-2.1+ Apache-2.0 ISC 
MIT MPL-2.0 Unlicense"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="devtools"
+
+# Does all kinds of wonky stuff like connecting to Docker daemon, network 
activity, ...
+RESTRICT+=" test"
+
+src_unpack() {
+       default
+       mv "${S}/.mod" "${WORKDIR}/go-mod" || die
+}
+
+src_compile() {
+       go-env_set_compile_environment
+       emake $(usex devtools all geth)
+}
+
+src_install() {
+       einstalldocs
+
+       dobin build/bin/geth
+
+       # TODO: replace with wildcard
+       if use devtools; then
+               dobin build/bin/abidump
+               dobin build/bin/abigen
+               dobin build/bin/blsync
+               dobin build/bin/clef
+               dobin build/bin/devp2p
+               dobin build/bin/era
+               dobin build/bin/ethkey
+               dobin build/bin/evm
+               dobin build/bin/rlpdump
+       fi
+}

Reply via email to